%global _empty_manifest_terminate_build 0
%global pypi_name untokenize

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        2
Summary:        It preserves the original whitespace between tokens.

License:        MIT
URL:            https://files.pythonhosted.org/packages/f7/46/e7cea8159199096e1df52da20a57a6665da80c37fb8aeb848a3e47442c32/untokenize-0.1.1.tar.gz
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-virtualenv

%description
Untokenize transforms tokens into source code. Unlike the standard library’s tokenize.untokenize(), it preserves the original whitespace between tokens.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Untokenize transforms tokens into source code. Unlike the standard library’s tokenize.untokenize(), it preserves the original whitespace between tokens.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/untokenize.py
%{python3_sitelib}/__pycache__/untokenize.*
%{python3_sitelib}/untokenize-0.1.1.dist-info/

%changelog
* Tue Aug 1 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.1.1-2
- fix obs error caused by file no found 

* Mon Jun 26 2023 zoujiancang <jczou@isoftstone.com> - 0.1.1-1
- Initial package
